Bug 1267330 - libnm-gtk: remove underscore from tooltip and use symbolic icons for password location icons
Summary: libnm-gtk: remove underscore from tooltip and use symbolic icons for password...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: network-manager-applet
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Jirka Klimes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-29 16:34 UTC by Jirka Klimes
Modified: 2016-01-04 06:04 UTC (History)
6 users (show)

Fixed In Version: network-manager-applet-1.0.6-2.el7
Doc Type: Bug Fix
Doc Text:
libnm-gtk used icons that did not match Gnome look. The icon has been changed to gnome symbolic icons, and tooltips were fixed.
Clone Of:
Environment:
Last Closed: 2015-11-19 11:05:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description Jirka Klimes 2015-09-29 16:34:22 UTC
This bug would include fix for password location tooltip and usage of symbolic icons.
The issue has been brought in the  upstream bug - https://bugzilla.gnome.org/show_bug.cgi?id=754726

(That request was in broader bug 1265207, however QA did not ACK that - too late for them).

Comment 3 Jirka Klimes 2015-09-29 16:41:26 UTC
test:
* check that icons in password entries are symbolic ones (black-and-white)
- e.g. open an password protected Wi-Fi connection in nm-connection-editor and check that the icons are the symbolic ones (rather than colorful)
- hoover the mouse pointer above the icon - the tooltip should not contain underscore (_) character

Comment 4 Tomas Pelka 2015-09-29 19:31:15 UTC
Vlad please review.

Comment 6 Matěj Cepl 2015-10-01 19:20:48 UTC
Yes, this has been fixed. No colorful icons and sensible tooltips. Just to note that bug 1257651 hit me hard again, but that's an EPEL bug.

Comment 7 errata-xmlrpc 2015-11-19 11:05:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.